# LeoFS Community Code of Conduct (CoC)
## Community

LeoFS is about showing humanity to one another: the word itself captures the spirit of being human.

We want a productive, happy and agile community that can welcome new ideas in a complex field, improve every process every year, and foster collaboration between groups with very different needs, interests and skills.

We gain strength from diversity, and actively seek participation from those who enhance it. This code of conduct exists to ensure that diverse groups collaborate to mutual advantage and enjoyment. We will challenge prejudice that could jeopardise the participation of any person in the project.

The Code of Conduct governs how we behave in public or in private whenever the project will be judged by our actions. We expect it to be honoured by everyone who represents the project officially or informally, claims affiliation with the project, or participates directly.


## We strive to:
### Be considerate

Our work will be used by other people, and we in turn will depend on the work of others. Any decision we take will affect users and colleagues, and we should consider them when making decisions.

### Be respectful

Disagreement is no excuse for poor manners. We work together to resolve conflict, assume good intentions and do our best to act in an empathic fashion. We don't allow frustration to turn into a personal attack. A community where people feel uncomfortable or threatened is not a productive one.

### Take responsibility for our words and our actions

We can all make mistakes; when we do, we take responsibility for them. If someone has been harmed or offended, we listen carefully and respectfully, and work to right the wrong.

### Be collaborative

What we produce is a complex whole made of many parts, it is the sum of many dreams. Collaboration between teams that each have their own goal and vision is essential; for the whole to be more than the sum of its parts, each part must make an effort to understand the whole.

Collaboration reduces redundancy and improves the quality of our work. Internally and externally, we celebrate good collaboration. Wherever possible, we work closely with upstream projects and others in the free software community to coordinate our efforts. We prefer to work transparently and involve interested parties as early as possible.

### Value decisiveness, clarity and consensus

Disagreements, social and technical, are normal, but we do not allow them to persist and fester leaving others uncertain of the agreed direction.

We expect participants in the project to resolve disagreements constructively. When they cannot, we escalate the matter to structures with designated leaders to arbitrate and provide clarity and direction.

### Ask for help when unsure

Nobody is expected to be perfect in this community. Asking questions early avoids many problems later, so questions are encouraged, though they may be directed to the appropriate forum which are [Mailing list@GoogleGroups](https://groups.google.com/forum/#!forum/leoproject_leofs) or [Gitter@leo-project/leofs](https://gitter.im/leo-project/leofs) or [LeoFS' GitHub Issue](https://github.com/leo-project/leofs/issues). Those who are asked should be responsive and helpful.

### Step down considerately

When somebody leaves or disengages from the project, we ask that they do so in a way that minimises disruption to the project. They should tell people they are leaving and take the proper steps to ensure that others can pick up where they left off.


[Based on Ubuntu Code of Conduct v2.0](https://www.ubuntu.com/about/about-ubuntu/conduct)